let grpc_test = require('generated_grpc_js');

let grpc = require('grpc');

function main() {
  let client = new grpc_test.Services.HelloClient('localhost:50051',
                                          grpc.credentials.createInsecure());
  let request = new grpc_test.Messages.GreetingInput();
  let user = "Hello World";
  
  request.setName(user);
  client.greeting(request, function(err, response) {
    console.log('Greeting:', response.getHello());
  });
}

main();